# -*- coding: utf-8 -*-
# pylint: disable=no-member

# Copyright 2020 Whitestack, LLC
# *************************************************************

# This file is part of OSM Monitoring module
# All Rights Reserved to Whitestack, LLC

# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at

#         http://www.apache.org/licenses/LICENSE-2.0

# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.

# For those usages not covered by the Apache License, Version 2.0 please
# contact: agarcia@whitestack.com
##

nsd:
  nsd:
  - id: cirros_vdu_scaling_ns
    name: cirros_vdu_scaling_ns
    description: Simple NS example with a cirros_vdu_scaling_vnf
    designer: OSM
    version: '1.0'

    df:
    - id: default-df
      vnf-profile:
      - id: '1'
        virtual-link-connectivity:
        - constituent-cpd-id:
          - constituent-base-element-id: '1'
            constituent-cpd-id: eth0-ext
          virtual-link-profile-id: cirros_nsd_vld1
        vnfd-id: cirros_vdu_scaling_vnf
      - id: '2'
        virtual-link-connectivity:
        - constituent-cpd-id:
          - constituent-base-element-id: '2'
            constituent-cpd-id: eth0-ext
          virtual-link-profile-id: cirros_nsd_vld1
        vnfd-id: cirros_vdu_scaling_vnf

    virtual-link-desc:
    - id: cirros_nsd_vld1
      mgmt-network: 'true'
    vnfd-id:
    - cirros_vdu_scaling_vnf
